Package com.io7m.cardant.model

# Record Class CAByteArray

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAByteArray

Record Components:
  `data` - The raw byte array

public record CAByteArray(byte[] data) extends Record
A byte array wrapper that uses `Arrays.equals(byte[], byte[])`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAByteArray(byte[] data)`
  A byte array wrapper that uses `Arrays.equals(byte[], byte[])`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `data()`
  Returns the value of the `data` record component.
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAByteArray

    public CAByteArray(byte[] data)
    A byte array wrapper that uses `Arrays.equals(byte[], byte[])`.
    Parameters:
      `data` - The raw byte array

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### hashCode

    public int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### data

    public byte[] data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component